org.gdal.gdalconst

## Interface gdalconstConstants

- All Known Implementing Classes:
    gdalconst

      public interface gdalconstConstants

  Various constants used by the org.gdal.gdal package.

  These constants correspond to different enumerations : error codes, XML content type, metadata, palette interpretation, color interpretation, data type, raster color table attribute type, band mask flags, resampling methods...

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `CE_Debug` Debug error == 1 (message class).
    `static int` | `CE_Failure` Failure error == 3 (message class and error return code).
    `static int` | `CE_Fatal` Fatal error == 4 (message class).
    `static int` | `CE_None` No error == 0 (message class and error return code).
    `static int` | `CE_Warning` Warning error == 2 (message class and error return code).
    `static int` | `CPLE_AppDefined` CPLE_AppDefined == 1 (error code).
    `static int` | `CPLE_AssertionFailed` CPLE_AssertionFailed == 7 (error code).
    `static int` | `CPLE_FileIO` CPLE_FileIO == 3 (error code).
    `static int` | `CPLE_IllegalArg` CPLE_IllegalArg == 5 (error code).
    `static int` | `CPLE_None` CPLE_None == 0 (error code).
    `static int` | `CPLE_NotSupported` CPLE_NotSupported == 6 (error code).
    `static int` | `CPLE_NoWriteAccess` CPLE_NoWriteAccess == 8 (error code).
    `static int` | `CPLE_OpenFailed` CPLE_OpenFailed == 4 (error code).
    `static int` | `CPLE_OutOfMemory` CPLE_OutOfMemory == 2 (error code).
    `static int` | `CPLE_UserInterrupt` CPLE_UserInterrupt == 9 (error code).
    `static int` | `CPLES_BackslashQuotable` CPLES_BackslashQuotable(0).
    `static int` | `CPLES_CSV` CPLES_CSV(4).
    `static int` | `CPLES_SQL` CPLES_SQL(3).
    `static int` | `CPLES_URL` CPLES_URL(2).
    `static int` | `CPLES_XML` CPLES_XML(1).
    `static int` | `CXT_Attribute` CXT_Attribute(2) : node is an attribute.
    `static int` | `CXT_Comment` CXT_Comment(3) : node is a XML comment.
    `static int` | `CXT_Element` CTX_Element(0) : node is an element.
    `static int` | `CXT_Literal` CXT_Literal(4) : node is a special literal.
    `static int` | `CXT_Text` CXT_Text(1) : node is a raw text value
    `static String` | `DCAP_DEFAULT_FIELDS`
    `static String` | `DCAP_NOTNULL_FIELDS`
    `static String` | `DCAP_NOTNULL_GEOMFIELDS`
    `static String` | `DCAP_RASTER`
    `static String` | `DCAP_VECTOR`
    `static String` | `DMD_CONNECTION_PREFIX`
    `static int` | `GA_ReadOnly` GA_ReadOnly : flag used for opening a dataset in read-only mode with gdal.Open()
    `static int` | `GA_Update` GA_Update : flag used for opening a dataset in update mode with gdal.Open()
    `static int` | `GARIO_COMPLETE`
    `static int` | `GARIO_ERROR`
    `static int` | `GARIO_PENDING`
    `static int` | `GARIO_UPDATE`
    `static int` | `GCI_AlphaBand` GCI_AlphaBand(6) : Alpha band of RGBA image (0=transparent, 255=opaque) (color interpretation)
    `static int` | `GCI_BlackBand` GCI_BlackBand(13) : Black band of CMYK image (color interpretation)
    `static int` | `GCI_BlueBand` GCI_BlueBand(5) : Blue band of RGBA image (color interpretation)
    `static int` | `GCI_CyanBand` GCI_CyanBand(10) : Cyan band of CMYK image (color interpretation)
    `static int` | `GCI_GrayIndex` GCI_GrayIndex(1) : greyscale (color interpretation)
    `static int` | `GCI_GreenBand` GCI_GreenBand(4) : Green band of RGBA image (color interpretation)
    `static int` | `GCI_HueBand` GCI_HueBand(7) : Hue band of HLS image (color interpretation)
    `static int` | `GCI_LightnessBand` GCI_LightnessBand(9) : Lightness band of HLS image (color interpretation)
    `static int` | `GCI_MagentaBand` GCI_MagentaBand(11) : Magenta band of CMYK image (color interpretation)
    `static int` | `GCI_PaletteIndex` GCI_PaletteIndex(2) : paletted with color table (color interpretation)
    `static int` | `GCI_RedBand` GCI_RedBand(3) : Red band of RGBA image (color interpretation)
    `static int` | `GCI_SaturationBand` GCI_SaturationBand(8) : Saturation band of HLS image (color interpretation)
    `static int` | `GCI_Undefined` GCI_Undefined(0) : undefined (color interpretation)
    `static int` | `GCI_YCbCr_CbBand` GCI_YCbCr_CbBand(15) : Cb Luminance (color interpretation)
    `static int` | `GCI_YCbCr_CrBand` GCI_YCbCr_CrBand(16) : Cr Luminance (color interpretation)
    `static int` | `GCI_YCbCr_YBand` GCI_YCbCr_YBand(14) : Y Luminance (color interpretation)
    `static int` | `GCI_YellowBand` GCI_YellowBand(12) : Yellow band of CMYK image (color interpretation)
    `static String` | `GDAL_DCAP_CREATE`
    `static String` | `GDAL_DCAP_CREATECOPY`
    `static String` | `GDAL_DCAP_OPEN`
    `static String` | `GDAL_DCAP_VIRTUALIO`
    `static String` | `GDAL_DMD_CREATIONDATATYPES`
    `static String` | `GDAL_DMD_CREATIONFIELDDATATYPES`
    `static String` | `GDAL_DMD_CREATIONOPTIONLIST`
    `static String` | `GDAL_DMD_EXTENSION`
    `static String` | `GDAL_DMD_EXTENSIONS`
    `static String` | `GDAL_DMD_HELPTOPIC`
    `static String` | `GDAL_DMD_LONGNAME`
    `static String` | `GDAL_DMD_MIMETYPE`
    `static String` | `GDAL_DMD_SUBDATASETS`
    `static int` | `GDT_Byte` GDT_Byte(1) : Eight bit unsigned integer (data type)
    `static int` | `GDT_CFloat32` GDT_CFloat32(10) : Complex Float32 (data type)
    `static int` | `GDT_CFloat64` GDT_CFloat64(11) : Complex Float64 (data type)
    `static int` | `GDT_CInt16` GDT_CInt16(8) : Complex Int16 (data type)
    `static int` | `GDT_CInt32` GDT_CInt32(9) : Complex Int32 (data type)
    `static int` | `GDT_Float32` GDT_Float32(6) : Thirty two bit floating point (data type)
    `static int` | `GDT_Float64` GDT_Float64(7) : Sixty four bit floating point (data type)
    `static int` | `GDT_Int16` GDT_Int16(3) : Sixteen bit signed integer (data type)
    `static int` | `GDT_Int32` GDT_Int32(5) : Thirty two bit signed integer (data type)
    `static int` | `GDT_TypeCount` GDT_TypeCount(12) : Maximum type (data type)
    `static int` | `GDT_UInt16` GDT_UInt16(2) : Sixteen bit unsigned integer (data type)
    `static int` | `GDT_UInt32` GDT_UInt32(4) : Thirty two bit unsigned integer (data type)
    `static int` | `GDT_Unknown` GDT_Unknown(0) : Unknown (data type)
    `static int` | `GFT_Integer`
    `static int` | `GFT_Real`
    `static int` | `GFT_String`
    `static int` | `GFU_Alpha`
    `static int` | `GFU_AlphaMax`
    `static int` | `GFU_AlphaMin`
    `static int` | `GFU_Blue`
    `static int` | `GFU_BlueMax`
    `static int` | `GFU_BlueMin`
    `static int` | `GFU_Generic`
    `static int` | `GFU_Green`
    `static int` | `GFU_GreenMax`
    `static int` | `GFU_GreenMin`
    `static int` | `GFU_Max`
    `static int` | `GFU_MaxCount`
    `static int` | `GFU_Min`
    `static int` | `GFU_MinMax`
    `static int` | `GFU_Name`
    `static int` | `GFU_PixelCount`
    `static int` | `GFU_Red`
    `static int` | `GFU_RedMax`
    `static int` | `GFU_RedMin`
    `static int` | `GMF_ALL_VALID` GMF_ALL_VALID(0x01) (mask band flag).
    `static int` | `GMF_ALPHA` GMF_ALPHA(0x04) (mask band flag).
    `static int` | `GMF_NODATA` GMF_NODATA(0x08) (mask band flag).
    `static int` | `GMF_PER_DATASET` GMF_PER_DATASET(0x02) (mask band flag).
    `static int` | `GPI_CMYK` GPI_CMYK(2) (palette interpretation).
    `static int` | `GPI_Gray` GPI_Gray(0) (palette interpretation).
    `static int` | `GPI_HLS` GPI_HLS(3) (palette interpretation).
    `static int` | `GPI_RGB` GPI_RGB(1) (palette interpretation).
    `static int` | `GRA_Average`
    `static int` | `GRA_Bilinear` GRA_Bilinear(1) : Bilinear (2x2 kernel) (warping algorithm)
    `static int` | `GRA_Cubic` GRA_Cubic(2) : Cubic Convolution Approximation (4x4 kernel) (warping algorithm)
    `static int` | `GRA_CubicSpline` GRA_CubicSpline(3) : Cubic B-Spline Approximation (4x4 kernel) (warping algorithm)
    `static int` | `GRA_Lanczos` GRA_Lanczos(4) : Lanczos windowed sinc interpolation (6x6 kernel) (warping algorithm)
    `static int` | `GRA_Mode`
    `static int` | `GRA_NearestNeighbour` GRA_NearestNeighbour(0) : Nearest neighbour (select on one input pixel) (warping algorithm)
    `static int` | `GRIORA_Average`
    `static int` | `GRIORA_Bilinear`
    `static int` | `GRIORA_Cubic`
    `static int` | `GRIORA_CubicSpline`
    `static int` | `GRIORA_Gauss`
    `static int` | `GRIORA_Lanczos`
    `static int` | `GRIORA_Mode`
    `static int` | `GRIORA_NearestNeighbour`
    `static int` | `GTO_BIT`
    `static int` | `GTO_BSQ`
    `static int` | `GTO_TIP`
    `static int` | `OF_ALL`
    `static int` | `OF_GNM`
    `static int` | `OF_RASTER`
    `static int` | `OF_READONLY`
    `static int` | `OF_SHARED`
    `static int` | `OF_UPDATE`
    `static int` | `OF_VECTOR`
    `static int` | `OF_VERBOSE_ERROR`

- - ### Field Detail

    - #### GDT_Unknown

          static final int GDT_Unknown

      GDT_Unknown(0) : Unknown (data type)

    - #### GDT_Byte

          static final int GDT_Byte

      GDT_Byte(1) : Eight bit unsigned integer (data type)

    - #### GDT_UInt16

          static final int GDT_UInt16

      GDT_UInt16(2) : Sixteen bit unsigned integer (data type)

    - #### GDT_Int16

          static final int GDT_Int16

      GDT_Int16(3) : Sixteen bit signed integer (data type)

    - #### GDT_UInt32

          static final int GDT_UInt32

      GDT_UInt32(4) : Thirty two bit unsigned integer (data type)

    - #### GDT_Int32

          static final int GDT_Int32

      GDT_Int32(5) : Thirty two bit signed integer (data type)

    - #### GDT_Float32

          static final int GDT_Float32

      GDT_Float32(6) : Thirty two bit floating point (data type)

    - #### GDT_Float64

          static final int GDT_Float64

      GDT_Float64(7) : Sixty four bit floating point (data type)

    - #### GDT_CInt16

          static final int GDT_CInt16

      GDT_CInt16(8) : Complex Int16 (data type)

    - #### GDT_CInt32

          static final int GDT_CInt32

      GDT_CInt32(9) : Complex Int32 (data type)

    - #### GDT_CFloat32

          static final int GDT_CFloat32

      GDT_CFloat32(10) : Complex Float32 (data type)

    - #### GDT_CFloat64

          static final int GDT_CFloat64

      GDT_CFloat64(11) : Complex Float64 (data type)

    - #### GDT_TypeCount

          static final int GDT_TypeCount

      GDT_TypeCount(12) : Maximum type (data type)

    - #### GA_ReadOnly

          static final int GA_ReadOnly

      GA_ReadOnly : flag used for opening a dataset in read-only mode with gdal.Open()

    - #### GA_Update

          static final int GA_Update

      GA_Update : flag used for opening a dataset in update mode with gdal.Open()

    - #### GRIORA_NearestNeighbour

          static final int GRIORA_NearestNeighbour

    - #### GRIORA_Bilinear

          static final int GRIORA_Bilinear

    - #### GRIORA_Cubic

          static final int GRIORA_Cubic

    - #### GRIORA_CubicSpline

          static final int GRIORA_CubicSpline

    - #### GRIORA_Lanczos

          static final int GRIORA_Lanczos

    - #### GRIORA_Average

          static final int GRIORA_Average

    - #### GRIORA_Mode

          static final int GRIORA_Mode

    - #### GRIORA_Gauss

          static final int GRIORA_Gauss

    - #### GCI_Undefined

          static final int GCI_Undefined

      GCI_Undefined(0) : undefined (color interpretation)

    - #### GCI_GrayIndex

          static final int GCI_GrayIndex

      GCI_GrayIndex(1) : greyscale (color interpretation)

    - #### GCI_PaletteIndex

          static final int GCI_PaletteIndex

      GCI_PaletteIndex(2) : paletted with color table (color interpretation)

    - #### GCI_RedBand

          static final int GCI_RedBand

      GCI_RedBand(3) : Red band of RGBA image (color interpretation)

    - #### GCI_GreenBand

          static final int GCI_GreenBand

      GCI_GreenBand(4) : Green band of RGBA image (color interpretation)

    - #### GCI_BlueBand

          static final int GCI_BlueBand

      GCI_BlueBand(5) : Blue band of RGBA image (color interpretation)

    - #### GCI_AlphaBand

          static final int GCI_AlphaBand

      GCI_AlphaBand(6) : Alpha band of RGBA image (0=transparent, 255=opaque) (color interpretation)

    - #### GCI_HueBand

          static final int GCI_HueBand

      GCI_HueBand(7) : Hue band of HLS image (color interpretation)

    - #### GCI_SaturationBand

          static final int GCI_SaturationBand

      GCI_SaturationBand(8) : Saturation band of HLS image (color interpretation)

    - #### GCI_LightnessBand

          static final int GCI_LightnessBand

      GCI_LightnessBand(9) : Lightness band of HLS image (color interpretation)

    - #### GCI_CyanBand

          static final int GCI_CyanBand

      GCI_CyanBand(10) : Cyan band of CMYK image (color interpretation)

    - #### GCI_MagentaBand

          static final int GCI_MagentaBand

      GCI_MagentaBand(11) : Magenta band of CMYK image (color interpretation)

    - #### GCI_YellowBand

          static final int GCI_YellowBand

      GCI_YellowBand(12) : Yellow band of CMYK image (color interpretation)

    - #### GCI_BlackBand

          static final int GCI_BlackBand

      GCI_BlackBand(13) : Black band of CMYK image (color interpretation)

    - #### GCI_YCbCr_YBand

          static final int GCI_YCbCr_YBand

      GCI_YCbCr_YBand(14) : Y Luminance (color interpretation)

    - #### GCI_YCbCr_CrBand

          static final int GCI_YCbCr_CrBand

      GCI_YCbCr_CrBand(16) : Cr Luminance (color interpretation)

    - #### GCI_YCbCr_CbBand

          static final int GCI_YCbCr_CbBand

      GCI_YCbCr_CbBand(15) : Cb Luminance (color interpretation)

    - #### GRA_NearestNeighbour

          static final int GRA_NearestNeighbour

      GRA_NearestNeighbour(0) : Nearest neighbour (select on one input pixel) (warping algorithm)

    - #### GRA_Bilinear

          static final int GRA_Bilinear

      GRA_Bilinear(1) : Bilinear (2x2 kernel) (warping algorithm)

    - #### GRA_Cubic

          static final int GRA_Cubic

      GRA_Cubic(2) : Cubic Convolution Approximation (4x4 kernel) (warping algorithm)

    - #### GRA_CubicSpline

          static final int GRA_CubicSpline

      GRA_CubicSpline(3) : Cubic B-Spline Approximation (4x4 kernel) (warping algorithm)

    - #### GRA_Lanczos

          static final int GRA_Lanczos

      GRA_Lanczos(4) : Lanczos windowed sinc interpolation (6x6 kernel) (warping algorithm)

    - #### GRA_Average

          static final int GRA_Average

    - #### GRA_Mode

          static final int GRA_Mode

    - #### GPI_Gray

          static final int GPI_Gray

      GPI_Gray(0) (palette interpretation). Grayscale (in GDALColorEntry.c1)

    - #### GPI_RGB

          static final int GPI_RGB

      GPI_RGB(1) (palette interpretation). Red, Green, Blue and Alpha in (in c1, c2, c3 and c4)

    - #### GPI_CMYK

          static final int GPI_CMYK

      GPI_CMYK(2) (palette interpretation). Cyan, Magenta, Yellow and Black (in c1, c2, c3 and c4)

    - #### GPI_HLS

          static final int GPI_HLS

      GPI_HLS(3) (palette interpretation). Hue, Lightness and Saturation (in c1, c2, and c3)

    - #### CXT_Element

          static final int CXT_Element

      CTX_Element(0) : node is an element.

    - #### CXT_Text

          static final int CXT_Text

      CXT_Text(1) : node is a raw text value

    - #### CXT_Attribute

          static final int CXT_Attribute

      CXT_Attribute(2) : node is an attribute.

    - #### CXT_Comment

          static final int CXT_Comment

      CXT_Comment(3) : node is a XML comment.

    - #### CXT_Literal

          static final int CXT_Literal

      CXT_Literal(4) : node is a special literal.

    - #### CE_None

          static final int CE_None

      No error == 0 (message class and error return code).

    - #### CE_Debug

          static final int CE_Debug

      Debug error == 1 (message class).

    - #### CE_Warning

          static final int CE_Warning

      Warning error == 2 (message class and error return code).

    - #### CE_Failure

          static final int CE_Failure

      Failure error == 3 (message class and error return code).

    - #### CE_Fatal

          static final int CE_Fatal

      Fatal error == 4 (message class).

    - #### CPLE_None

          static final int CPLE_None

      CPLE_None == 0 (error code).

    - #### CPLE_AppDefined

          static final int CPLE_AppDefined

      CPLE_AppDefined == 1 (error code).

    - #### CPLE_OutOfMemory

          static final int CPLE_OutOfMemory

      CPLE_OutOfMemory == 2 (error code).

    - #### CPLE_FileIO

          static final int CPLE_FileIO

      CPLE_FileIO == 3 (error code).

    - #### CPLE_OpenFailed

          static final int CPLE_OpenFailed

      CPLE_OpenFailed == 4 (error code).

    - #### CPLE_IllegalArg

          static final int CPLE_IllegalArg

      CPLE_IllegalArg == 5 (error code).

    - #### CPLE_NotSupported

          static final int CPLE_NotSupported

      CPLE_NotSupported == 6 (error code).

    - #### CPLE_AssertionFailed

          static final int CPLE_AssertionFailed

      CPLE_AssertionFailed == 7 (error code).

    - #### CPLE_NoWriteAccess

          static final int CPLE_NoWriteAccess

      CPLE_NoWriteAccess == 8 (error code).

    - #### CPLE_UserInterrupt

          static final int CPLE_UserInterrupt

      CPLE_UserInterrupt == 9 (error code).

    - #### OF_ALL

          static final int OF_ALL

    - #### OF_RASTER

          static final int OF_RASTER

    - #### OF_VECTOR

          static final int OF_VECTOR

    - #### OF_GNM

          static final int OF_GNM

    - #### OF_READONLY

          static final int OF_READONLY

    - #### OF_UPDATE

          static final int OF_UPDATE

    - #### OF_SHARED

          static final int OF_SHARED

    - #### OF_VERBOSE_ERROR

          static final int OF_VERBOSE_ERROR

    - #### GDAL_DMD_LONGNAME

          static final String GDAL_DMD_LONGNAME

    - #### GDAL_DMD_HELPTOPIC

          static final String GDAL_DMD_HELPTOPIC

    - #### GDAL_DMD_MIMETYPE

          static final String GDAL_DMD_MIMETYPE

    - #### GDAL_DMD_EXTENSION

          static final String GDAL_DMD_EXTENSION

    - #### GDAL_DMD_EXTENSIONS

          static final String GDAL_DMD_EXTENSIONS

    - #### DMD_CONNECTION_PREFIX

          static final String DMD_CONNECTION_PREFIX

    - #### GDAL_DMD_CREATIONOPTIONLIST

          static final String GDAL_DMD_CREATIONOPTIONLIST

    - #### GDAL_DMD_CREATIONDATATYPES

          static final String GDAL_DMD_CREATIONDATATYPES

    - #### GDAL_DMD_CREATIONFIELDDATATYPES

          static final String GDAL_DMD_CREATIONFIELDDATATYPES

    - #### GDAL_DMD_SUBDATASETS

          static final String GDAL_DMD_SUBDATASETS

    - #### GDAL_DCAP_OPEN

          static final String GDAL_DCAP_OPEN

    - #### GDAL_DCAP_CREATE

          static final String GDAL_DCAP_CREATE

    - #### GDAL_DCAP_CREATECOPY

          static final String GDAL_DCAP_CREATECOPY

    - #### GDAL_DCAP_VIRTUALIO

          static final String GDAL_DCAP_VIRTUALIO

    - #### DCAP_RASTER

          static final String DCAP_RASTER

    - #### DCAP_VECTOR

          static final String DCAP_VECTOR

    - #### DCAP_NOTNULL_FIELDS

          static final String DCAP_NOTNULL_FIELDS

    - #### DCAP_DEFAULT_FIELDS

          static final String DCAP_DEFAULT_FIELDS

    - #### DCAP_NOTNULL_GEOMFIELDS

          static final String DCAP_NOTNULL_GEOMFIELDS

    - #### CPLES_BackslashQuotable

          static final int CPLES_BackslashQuotable

      CPLES_BackslashQuotable(0).

      This scheme turns a binary string into a form suitable to be placed within double quotes as a string constant. The backslash, quote, '\\0' and newline characters are all escaped in the usual C style.

    - #### CPLES_XML

          static final int CPLES_XML

      CPLES_XML(1).

      This scheme converts the '<', '<' and '&' characters into their XML/HTML equivalent (>, < and &) making a string safe to embed as CDATA within an XML element. The '\\0' is not escaped and should not be included in the input.

    - #### CPLES_URL

          static final int CPLES_URL

      CPLES_URL(2).

      Everything except alphanumerics and the underscore are converted to a percent followed by a two digit hex encoding of the character (leading zero supplied if needed). This is the mechanism used for encoding values to be passed in URLs.

    - #### CPLES_SQL

          static final int CPLES_SQL

      CPLES_SQL(3).

      All single quotes are replaced with two single quotes. Suitable for use when constructing literal values for SQL commands where the literal will be enclosed in single quotes.

    - #### CPLES_CSV

          static final int CPLES_CSV

      CPLES_CSV(4).

      If the values contains commas, double quotes, or newlines it placed in double quotes, and double quotes in the value are doubled. Suitable for use when constructing field values for .csv files. Note that CPLUnescapeString() currently does not support this format, only CPLEscapeString(). See cpl_csv.cpp for csv parsing support.

    - #### GFT_Integer

          static final int GFT_Integer

    - #### GFT_Real

          static final int GFT_Real

    - #### GFT_String

          static final int GFT_String

    - #### GFU_Generic

          static final int GFU_Generic

    - #### GFU_PixelCount

          static final int GFU_PixelCount

    - #### GFU_Name

          static final int GFU_Name

    - #### GFU_Min

          static final int GFU_Min

    - #### GFU_Max

          static final int GFU_Max

    - #### GFU_MinMax

          static final int GFU_MinMax

    - #### GFU_Red

          static final int GFU_Red

    - #### GFU_Green

          static final int GFU_Green

    - #### GFU_Blue

          static final int GFU_Blue

    - #### GFU_Alpha

          static final int GFU_Alpha

    - #### GFU_RedMin

          static final int GFU_RedMin

    - #### GFU_GreenMin

          static final int GFU_GreenMin

    - #### GFU_BlueMin

          static final int GFU_BlueMin

    - #### GFU_AlphaMin

          static final int GFU_AlphaMin

    - #### GFU_RedMax

          static final int GFU_RedMax

    - #### GFU_GreenMax

          static final int GFU_GreenMax

    - #### GFU_BlueMax

          static final int GFU_BlueMax

    - #### GFU_AlphaMax

          static final int GFU_AlphaMax

    - #### GFU_MaxCount

          static final int GFU_MaxCount

    - #### GMF_ALL_VALID

          static final int GMF_ALL_VALID

      GMF_ALL_VALID(0x01) (mask band flag). There are no invalid pixels, all mask values will be 255. When used this will normally be the only flag set.

    - #### GMF_PER_DATASET

          static final int GMF_PER_DATASET

      GMF_PER_DATASET(0x02) (mask band flag). The mask band is shared between all bands on the dataset.

    - #### GMF_ALPHA

          static final int GMF_ALPHA

      GMF_ALPHA(0x04) (mask band flag). The mask band is actually an alpha band and may have values other than 0 and 255.

    - #### GMF_NODATA

          static final int GMF_NODATA

      GMF_NODATA(0x08) (mask band flag). Indicates the mask is actually being generated from nodata values. (mutually exclusive of GMF_ALPHA)

    - #### GARIO_PENDING

          static final int GARIO_PENDING

    - #### GARIO_UPDATE

          static final int GARIO_UPDATE

    - #### GARIO_ERROR

          static final int GARIO_ERROR

    - #### GARIO_COMPLETE

          static final int GARIO_COMPLETE

    - #### GTO_TIP

          static final int GTO_TIP

    - #### GTO_BIT

          static final int GTO_BIT

    - #### GTO_BSQ

          static final int GTO_BSQ